/* network.h */

#define FD_UNUSED 0

extern int Tcprangestart;
extern int Tcprangelimit;
extern int Max_ports;
extern int Debug;

int get_port(my_sockaddr_union_t *listenaddr);
const char *my_ip_show(char * const buffer, size_t len, my_sockaddr_union_t * const sa);
int my_getnameinfo(char *buffer, size_t len, const struct sockaddr * const sa, socklen_t salen);

int set_port(my_sockaddr_union_t * const listenaddr, int port);
void shutdown_close(int handle);
int bind_listen_socket(int fd, my_sockaddr_union_t * const sa);
void set_listen_port(int port, int val);
int bind_local_vhost(my_sockaddr_union_t * const localaddr, int family, int clientsocket, const char * const vhost);
int open_listen(int family, my_sockaddr_union_t * const listenaddr, int *listen_socket, int port, int reuse, int search, const char * const vhost);
int set_socket_nonblocking (int s, int nonblock);

/* eof */
